#ifndef XANIMDELTAPART_H
#define XANIMDELTAPART_H

#include "xasset.h"
#include "xanimparttrans.h"
#include "xanimdeltapartquat.h"

class XAnimDeltaPart : public XAsset
{
public:
    explicit XAnimDeltaPart();

    void ParseData(QDataStream *aStream) override;

    quint32 GetTransPtr() const;
    void SetTransPtr(quint32 ptr);

    const XAnimPartTrans& GetTrans() const;
    void SetTrans(const XAnimPartTrans& trans);

    quint32 GetQuatPtr() const;
    void SetQuatPtr(quint32 ptr);

    const XAnimDeltaPartQuat& GetQuat() const;
    void SetQuat(const XAnimDeltaPartQuat& quat);

private:
    quint32 mTransPtr = 0;
    XAnimPartTrans mTrans;

    quint32 mQuatPtr = 0;
    XAnimDeltaPartQuat mQuat;
};

#endif // XANIMDELTAPART_H





